
GammaLib - Change request #1596

Please add option to select HDU name in IRF load methods

12/09/2015 10:54 PM - Deil Christoph

Status: Closed Start date: 12/09/2015

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

As discussed on the ctools mailing list (no archive to link to?):

Please add an option to select the HDU name when loading IRFs (or any HDU really).

E.g. here:

http://cta.irap.omp.eu/gammalib-devel/doxygen/classGCTAPsfKing.html#ff762e0a868161564e45ddc3343673ee

Background info: we'd like to get rid of this requirement on exported HESS FITS data (which is about 100k HDUs for one chain / cut /

prod):

http://gamma-astro-data-formats.readthedocs.org/en/latest/data_storage/hdu_index/index.html#disclaimer-about-hduname

We're intensely working on IACT FITS data format specs we want to use for HESS (since no specs appeared in CTA for the past

years) for ctools and Gammapy analysis and plan to send an email to cta-data about this effort in January.

History

#1 - 12/10/2015 04:32 PM - Mayer Michael

- Assigned To changed from Knödlseder Jürgen to Mayer Michael

Covered by #1597.

#2 - 01/05/2016 06:29 PM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 0 to 100
